addonName, GH_Globals = ...
GH_Globals.itemSlot = { INVTYPE_AMMO = "Ammo", INVTYPE_HEAD = "Head", INVTYPE_NECK = "Neck", INVTYPE_SHOULDER = "Shoulder", INVTYPE_BODY = "Body", INVTYPE_CHEST = "Chest", INVTYPE_ROBE = "Chest", INVTYPE_WAIST = "Waist", INVTYPE_LEGS = "Legs", INVTYPE_FEET = "Feet", INVTYPE_WRIST = "Wrist", INVTYPE_HAND = "Hands", INVTYPE_FINGER = { "Finger0", "Finger1" }, INVTYPE_TRINKET = { "Trinket0", "Trinket1" }, INVTYPE_CLOAK = "Back", INVTYPE_SHIELD = "SecondaryHand", INVTYPE_WEAPON = { "MainHand", "SecondaryHand" }, INVTYPE_2HWEAPON = "MainHand", INVTYPE_WEAPONMAINHAND = "MainHand", INVTYPE_WEAPONOFFHAND = "SecondaryHand", INVTYPE_HOLDABLE = "SecondaryHand", INVTYPE_RANGED = "MainHand", INVTYPE_RANGEDRIGHT = "MainHand" }


--Définition des Weight Values par specialisation depuis AMR--
-- DK BLOOD --
GH_Globals[250+1000] = { Armor = 8.1, Leech = 3.88, Versatility = 3.55, Stamina = 3.06, Mastery = 2.43, Haste = 2.16, Avoidance = 1.85, CriticalStrike = 1.21, Strength = 1.16 }

-- DK FROST --
GH_Globals[251+1000] = { Strength = 9.06, CriticalStrike = 6.24, Haste = 5.95, Mastery = 5.75, Versatility = 5.25, MainHandDps = 4.07, OffHandDps = 2.17, MovementSpeed = 0.15 }

-- DK UNHOLY --
GH_Globals[252+1000] = { Strength = 10.12, CriticalStrike = 7.27, Haste = 6.88, Versatility = 5.34, Mastery = 5.08, MainHandDps = 3.74, MovementSpeed = 0.47 }

-- DEMON HUNTER HAVOC --
GH_Globals[577+1000] = { Agility = 10.99, MainHandDps = 8.55, CriticalStrike = 7.02, Versatility = 6.05, Mastery = 5.57, Haste = 4.97, OffHandDps = 3.62, MovementSpeed = 0.36 }

-- DEMON HUNTER VENGEANCE --
GH_Globals[581+1000] = { Leech = 7.12, Armor =  6.02, Avoidance = 5.36, MovementSpeed = 3.2, Stamina = 2.53, Versatility = 2.04, Mastery = 1.98, Agility = 1.48, Haste = 1.4, CriticalStrike = 1.08}

-- DRUID BALANCE --
GH_Globals[102+1000] = { Intellect = 10.39, Haste = 6.59, Mastery = 6.13, CriticalStrike = 6.02, Versatility = 5.98 }

-- DRUID FERAL --
GH_Globals[103+1000] = { Agility = 15.54, Mastery = 9.04, CriticalStrike = 8.87, Versatility = 8.02, Haste = 6.24, MainHandDps = 5.97 }

-- DRUID GUARDIAN --
GH_Globals[104+1000] = { Armor = 11.26, Leech = 5.63, Avoidance = 4.98, MovementSpeed = 4.08, Versatility = 2.03, Mastery = 1.75, Stamina = 1.16, CriticalStrike = 0.67, Agility = 0.22, Haste = 0.01 }

-- DRUID RESTORATION --
GH_Globals[105+1000] = { Intellect = 16.51, Mastery = 11.38, Haste = 10.31, CriticalStrike = 9.77, Versatility = 9.13, Leech = 3.72 }

-- HUNTER BEAST MASTERY --
GH_Globals[253+1000] = { Agility = 9.9, Mastery = 6.85, Haste = 6.02, CriticalStrike = 5.59, Versatility = 5.16, MainHandDps = 1.65 }

-- HUNTER MARKSMANSHIP --
GH_Globals[254+1000] = { MainHandDps = 10.1, Agility = 9.02, Mastery = 7.86, CriticalStrike = 5.99, Haste = 5.78, Versatility = 4.64, MovementSpeed = 0.2 }

-- HUNTER SURVIVAL --
GH_Globals[255+1000] = { Agility = 11.08, Versatility = 5.56, CriticalStrike = 5.52, Haste = 4.39, MainHandDps = 3.74, Mastery = 3.05, MovementSpeed = 0.7 }

-- MAGE ARCANE --
GH_Globals[62+1000] = { Intellect = 8.92, CriticalStrike = 5.71, Mastery = 5.69, Versatility = 5.42, Haste = 5.15 }

-- MAGE FIRE --
GH_Globals[63+1000] = { Intellect = 9.69, CriticalStrike = 8.37, Mastery = 5.75, Versatility = 5.69, Haste = 5.3 }

-- MAGE FROST --
GH_Globals[64+1000] = { Intellect = 9.69, Haste = 8.37, CriticalStrike = 7, Versatility = 5.79, Mastery = 4.76 }

-- MONK BREWMASTER --
GH_Globals[268+1000] = { Stamina = 2.44, Leech = 2.27, Armor = 1.53, CriticalStrike = 1.35, MovementSpeed = 1.08, Haste = 0.8, Versatility = 0.73, Mastery = 0.44, Agility = 0.42 }

-- MONK MISTWEAVER --
GH_Globals[270+1000] = { Intellect = 15.81, CriticalStrike = 9.58, Versatility = 9.17, Mastery = 4.9, Haste = 4.88, Leech = 3.78 }

-- MONK WINDWALKER --
GH_Globals[269+1000] = { Agility = 13.27, Mastery = 7.61, CriticalStrike = 6.56, Versatility = 6.34, Haste = 5.28, MainHandDps = 2.08 }

-- PALADIN HOLY --
GH_Globals[65+1000] = { Intellect = 18.22, Mastery = 14.54, CriticalStrike = 13.61, Versatility = 11.1, Leech = 2.78, Haste = 0.9 }

-- PALADIN PROTECTION --
GH_Globals[66+1000] = { Armor = 3.5, Versatility = 2.07, Haste = 1.93, Mastery = 1.86, Stamina = 1.38, CriticalStrike = 1.13, Strength = 0.65 }

-- PALADIN RETRIBUTION --
GH_Globals[70+1000] = { Strength = 8.75, MainHandDps = 5.57, CriticalStrike = 5.24, Haste = 5.18, Versatility = 4.77, Mastery = 4.51 }

-- PRIEST DISCIPLINE --
GH_Globals[256+1000] = { Intellect = 16.3, Haste = 10.89, Leech = 10.16, CriticalStrike = 10.13, Versatility = 9.12, Mastery = 8.1 }

-- PRIEST HOLY --
GH_Globals[257+1000] = { Intellect = 17.76, CriticalStrike = 10.71, Mastery = 10.19, Versatility = 10.11, Haste = 4.55, Leech = 4.14 }

-- PRIEST SHADOW --
GH_Globals[258+1000] = { Intellect = 9.9, Haste = 8.8, CriticalStrike = 6.56, Mastery = 6.47, Versatility = 5.71 }

-- ROGUE ASSASSINATION --
GH_Globals[259+1000] = { Agility = 12.85, CriticalStrike = 9.03, Mastery = 8.5, Versatility = 7.21, MainHandDps = 4.66, Haste = 4.09, OffHandDps = 1.19 }

-- ROGUE OUTLAW --
GH_Globals[260+1000] = { Agility = 14.34, Versatility = 7.59, CriticalStrike = 7.25, Mastery = 6.42, MainHandDps = 4.52, Haste = 4.36, OffHandDps = 2.91, MovementSpeed = 0.91 }

-- ROGUE SUBTLETY --
GH_Globals[261+1000] = { Agility = 11.13, MainHandDps = 7.39, Mastery = 7.19, Versatility = 5.55, CriticalStrike = 5.28, Haste = 4.52, OffHandDps = 1.08 }

-- SHAMAN ELEMENTAL --
GH_Globals[262+1000] = { Intellect = 9.32, CriticalStrike = 6.55, Haste = 6.22, Versatility = 5.62, Mastery = 4.78 }

-- SHAMAN ENHANCEMENT --
GH_Globals[263+1000] = { Agility = 11.15, Mastery = 8.76, Haste = 7.14, Versatility = 5.92, CriticalStrike = 5.6, MainHandDps = 4.75, OffHandDps = 3.51, MovementSpeed = 0.57 }

-- SHAMAN RESTORATION --
GH_Globals[264+1000] = { Intellect = 15.01, CriticalStrike = 11.38, Versatility = 8.72, Haste = 7.48, Mastery = 7.22, Leech = 3.77 }

-- WARLOCK AFFLICTION --
GH_Globals[265+1000] = { Intellect = 10.13, Haste = 10.04, Mastery = 9.56, CriticalStrike = 6.25, Versatility = 6.07 }

-- WARLOCK DEMONOLOGY --
GH_Globals[266+1000] = { Haste = 12.53, Intellect = 9.42, CriticalStrike = 7.47, Versatility = 7.14, Mastery = 6.87 }

-- WARLOCK DESTRUCTION --
GH_Globals[267+1000] = { Intellect = 9.86, Haste = 7.72, Mastery = 7.58, CriticalStrike = 6.15, Versatility = 5.78 }

-- WARRIOR ARMS --
GH_Globals[71+1000] = { MainHandDps = 11.99, Strength = 10.97, Mastery = 10.71, Haste = 7.77, Versatility = 6.15, CriticalStrike = 5.15 }

-- WARRIOR PROTECTION --
GH_Globals[73+1000] = { Strength = 7.93, Haste = 7.09, Mastery = 5.48, CriticalStrike = 5.29, MainHandDps = 4.72, Versatility = 4.56, OffHandDps = 2.74 }

-- WARRIOR FURY --
GH_Globals[71+1000] = { Armor = 4.73, Strength = 4.25, Versatility = 3.29, Mastery = 2.45, Leech = 2.01, Stamina = 1.13, Avoidance = 0.83, Haste = 0.8, CriticalStrike = 0.78, MainHandDps = 0.46 }




------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------




--Définitions Weight Values Noxxic--
-- DK BLOOD NOX --
GH_Globals[250] = { Stamina = 12.07, Strength = 9.07, Haste = 7.57, CriticalStrike = 6.07, Mastery = 4.57, Versatility = 3.07 }

-- DK FROST NOX --
GH_Globals[251] = { Strength = 9.06, CriticalStrike = 7.56, Haste = 6.81, Mastery = 4.56, Versatility = 3.06 }

-- DK UNHOLY NOX --
GH_Globals[252] = { Strength = 9.02, Haste = 7.52, CriticalStrike = 6.02, Mastery = 4.52, Versatility = 3.02 }

-- DEMON HUNTER HAVOC NOX -- Agility > Crit > Versatility > Haste > Mastery
GH_Globals[577] = { Agility = 9.03, CriticalStrike = 7.53, Versatility = 6.03, Haste = 4.53, Mastery = 3.03 }

-- DEMON HUNTER VENGEANCE NOX --Stamina > Agility > Haste > Mastery > Versatility > Crit
GH_Globals[581] = { Stamina = 15.06, Agility = 12.06, Versatility = 9.06, Haste = 7.56, Mastery = 6.06, CriticalStrike = 4.56 }

-- DRUID BALANCE NOX --
GH_Globals[102] = { Intellect = 12.07, Haste = 10.57, CriticalStrike = 9.07, Mastery = 7.57, Versatility = 7.57 }

-- DTUID FERAL NOX --
GH_Globals[103] = { Agility = 12.01, CriticalStrike = 10.51, Versatility = 9.01, Mastery = 7.51, Haste = 6.01 }

-- DRUID GUARDIAN NOX --
GH_Globals[104] = { Stamina = 18.05, Mastery = 15.05, Haste = 13.55, Versatility = 12.05, Agility = 10.55, CriticalStrike = 9.05 }

-- DRUID RESTORATION NOX --
GH_Globals[105] = { Intellect = 9.05,  Haste = 7.55, CriticalStrike = 6.05,  Mastery = 4.55, Versatility = 3.05 }

-- HUNTER BEAST MASTERY NOX --
GH_Globals[253] = { Agility = 9.05, Mastery = 7.55, CriticalStrike = 6.05, Versatility = 4.55, Haste = 3.05 }

-- HUNTER MARKSMANSHIP NOX --
GH_Globals[254] = { Agility = 9.06, Mastery = 7.56, Haste = 6.06, Versatility = 4.56, CriticalStrike = 3.06 }

-- HUNTER SURVIVAL NOX --
GH_Globals[255] = { Agility = 9.04,  Versatility = 7.54, CriticalStrike = 6.04, Haste = 4.54, Mastery = 3.04 }

-- MAGE ARCANE NOX --
GH_Globals[62] = { Intellect = 9.08, Mastery = 7.58, CriticalStrike = 6.08, Versatility = 4.58, Haste = 3.08  }

-- MAGE FIRE NOX --
GH_Globals[63] = { Intellect = 9.08, CriticalStrike = 7.58, Mastery = 6.08, Haste = 4.58, Versatility = 3.08 }

-- MAGE FROST NOX --
GH_Globals[64] = { Intellect = 9.05, Haste = 7.55, CriticalStrike = 6.05, Versatility = 4.55, Mastery = 3.05 }

-- PALADIN HOLY NOX --
GH_Globals[65] = { Intellect = 9.05, CriticalStrike = 7.55, Mastery = 6.05, Versatility = 4.55, Haste = 3.05 }

-- PALADIN PROTECTION NOX --
GH_Globals[66] = { Stamina = 12.07, Versatility = 9.07, Haste = 7.57, Mastery = 6.07, CriticalStrike = 4.57, Strength = 3.07 }

-- PALADIN RETRIBUTION NOX --
GH_Globals[70] = { Strength = 9.08, Haste = 7.58, CriticalStrike = 6.08, Mastery = 4.58, Versatility = 3.08 }

-- MONK BREWMASTER NOX --
GH_Globals[268] = { Stamina = 12.02, Haste = 9.02, Mastery = 7.52, CriticalStrike = 7.52, Agility = 6.02, Versatility = 4.52 }

-- MONK MISTWEAVER NOX --
GH_Globals[270] = { Intellect = 9.08, CriticalStrike = 7.58, Versatility = 6.08, Mastery = 4.58, Haste = 3.08 }

-- MONK WINDWALKER NOX --
GH_Globals[269] = { Agility = 9.08, Mastery = 7.58, CriticalStrike = 6.08, Haste = 6.08, Versatility = 6.08 }

-- PRIEST DISCIPLINE NOX --
GH_Globals[256] = { Intellect = 9.04, Haste = 7.54, CriticalStrike = 6.04, Mastery = 4.54, Versatility = 3.04 }

-- PRIEST HOLY NOX --
GH_Globals[257] = { Intellect = 9.04, Mastery = 7.54, CriticalStrike = 6.04, Haste = 4.54, Versatility = 3.04 }

-- PRIEST SHADOW NOX --
GH_Globals[258] = { Intellect = 9.05, Haste = 7.55, CriticalStrike = 6.05, Versatility = 4.55, Mastery = 3.05 }

-- ROGUE ASSASSINATION NOX --
GH_Globals[259] = { Agility = 9.02, Versatility = 7.52, CriticalStrike = 6.02, Mastery = 4.52, Haste = 3.02 }

-- ROGUE OUTLAW NOX --
GH_Globals[260] = { Agility = 9.01, Versatility = 7.51, Haste = 6.01, Mastery = 4.51, CriticalStrike = 3.01 }

-- ROGUE SUBTLETY NOX --
GH_Globals[261] = { Agility = 9.02, Mastery = 7.52, Versatility = 6.02, CriticalStrike = 4.52, Haste = 3.02 }

-- SHAMAN ELEMENTAL NOX --
GH_Globals[262] = { Intellect = 9.02,CriticalStrike = 7.52, Haste = 6.02, Versatility = 4.52, Mastery = 3.02 }

-- SHAMAN ENHANCEMENT NOX --
GH_Globals[263] = { Agility = 9.00, Haste = 7.50, Mastery = 6.00, CriticalStrike = 4.50, Versatility = 3.00 }

-- SHAMAN RESTORATION NOX --
GH_Globals[264] = { Intellect = 9.00, Mastery = 7.50, CriticalStrike = 6.00, Haste = 4.50,  Versatility = 3.00 }

-- WARLOCK AFFLICTION NOX --
GH_Globals[265] = { Intellect = 9.06, Haste = 7.56, Mastery = 6.06, CriticalStrike = 4.56, Versatility = 3.06 }

-- WARLOCK DESTRUCTION NOX --
GH_Globals[267] = { Intellect = 9.00, Haste = 7.50, CriticalStrike = 6.00, Versatility = 4.50, Mastery = 3.00 }

-- WARLOCK DEMONOLOGY NOX --
GH_Globals[266] = { Intellect = 9.00, Haste = 7.50, CriticalStrike = 6.00, Mastery = 6.00,  Versatility = 3.00 }

-- WARRIOR ARMS NOX --
GH_Globals[71] = { Strength = 9.00, Haste = 7.50, Mastery = 6.00,  Versatility = 4.50, CriticalStrike = 3.00 }

-- WARRIOR PROTECTION NOX --
GH_Globals[73] = {Stamina = 12.00, Haste = 9.00, Mastery = 7.50, Versatility = 6.00, Strength = 4.50, CriticalStrike = 3.00 }

-- WARRIOR FURY NOX --
GH_Globals[71] = { Strength = 9.00, Haste = 7.50, CriticalStrike = 6.00, Mastery = 4.50, Versatility = 3.00 }




------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------


------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------




--Définition des Weight Values par specialisation depuis Icy Veins--
-- DK BLOOD Icy --
GH_Globals[250+10000] = {  }

-- DK FROST Icy --
GH_Globals[251+10000] = {  }

-- DK UNHOLY Icy --
GH_Globals[252+10000] = {  }

-- DEMON HUNTER HAVOC Icy --
GH_Globals[577+10000] = {  }

-- DEMON HUNTER VENGEANCE Icy --
GH_Globals[581+10000] = {  }

-- DRUID BALANCE Icy --
GH_Globals[102+10000] = {  }

-- DRUID FERAL Icy --
GH_Globals[103+10000] = {  }

-- DRUID GUARDIAN Icy --
GH_Globals[104+10000] = {  }

-- DRUID RESTORATION Icy --
GH_Globals[105+10000] = {  }

-- HUNTER BEAST MASTERY Icy --
GH_Globals[253+10000] = {  }

-- HUNTER MARKSMANSHIP Icy --
GH_Globals[254+10000] = {  }

-- HUNTER SURVIVAL Icy --
GH_Globals[255+10000] = {  }

-- MAGE ARCANE Icy --
GH_Globals[62+10000] = { Intellect = 1.0, Mastery = 0.85, CriticalStrike = 0.83, Versatility = 0.78, Haste = 0.72 }

-- MAGE FIRE Icy --
GH_Globals[63+10000] = { Intellect = 1.0, CriticalStrike = 1.3, Versatility = 0.84, Haste = 0.81, Mastery = 0.76 }

-- MAGE FROST Icy --
GH_Globals[64+10000] = { Intellect = 1.0, Haste = 0.95, CriticalStrike = 0.91, Versatility = 0.79, Mastery = 0.57 }

-- MONK BREWMASTER Icy --
GH_Globals[268+10000] = {  }

-- MONK MISTWEAVER Icy --
GH_Globals[270+10000] = {  }

-- MONK WINDWALKER Icy --
GH_Globals[269+10000] = {  }

-- PALADIN HOLY Icy --
GH_Globals[65+10000] = {  }

-- PALADIN PROTECTION Icy --
GH_Globals[66+10000] = {  }

-- PALADIN RETRIBUTION Icy --
GH_Globals[70+10000] = {  }

-- PRIEST DISCIPLINE Icy --
GH_Globals[256+10000] = {  }

-- PRIEST HOLY Icy --
GH_Globals[257+10000] = {  }

-- PRIEST SHADOW Icy --
GH_Globals[258+10000] = {  }

-- ROGUE ASSASSINATION Icy --
GH_Globals[259+10000] = { Agility = 1.0, Versatility = 0.69, CriticalStrike = 0.61, Mastery = 0.29, Haste = 0.27 }

-- ROGUE OUTLAW Icy --
GH_Globals[260+10000] = { Agility = 1.0, Versatility = 0.69, CriticalStrike = 0.58, Mastery = 0.54, Haste = 0.49 }

-- ROGUE SUBTLETY Icy --
GH_Globals[261+10000] = { Agility = 1.0, Versatility = 0.7, Mastery = 0.65, CriticalStrike = 0.61, Haste = 0.38 }

-- SHAMAN ELEMENTAL Icy --
GH_Globals[262+10000] = {  }

-- SHAMAN ENHANCEMENT Icy --
GH_Globals[263+10000] = {  }

-- SHAMAN RESTORATION Icy --
GH_Globals[264+10000] = {  }

-- WARLOCK AFFLICTION Icy --
GH_Globals[265+10000] = { Mastery = 1.04, Intellect = 1.0, Haste = 0.86, CriticalStrike = 0.75, Versatility = 0.6 }

-- WARLOCK DEMONOLOGY Icy --
GH_Globals[266+10000] = { Haste = 1.15, Intellect = 1.0, CriticalStrike = 0.75, Mastery = 0.72, Versatility = 0.66 }

-- WARLOCK DESTRUCTION Icy --
GH_Globals[267+10000] = { Intellect = 1.0, Haste = 0.9, CriticalStrike = 0.82, Versatility = 0.7, Mastery = 0.66 }

-- WARRIOR ARMS Icy --
GH_Globals[71+10000] = {  }

-- WARRIOR PROTECTION Icy --
GH_Globals[73+10000] = {  }

-- WARRIOR FURY Icy --
GH_Globals[71+10000] = {  }




